/*
    WavToRawCmd.h - convert linear .wav format to raw data

    Will Eighteen, 2000: will@opaline.demon.co.uk
*/                                                                             

#ifndef WAVTORAWCMD_H
#define WAVTORAWCMD_H

#ifndef BREAK
#define BREAK
#include <BreakCmd.h>
#endif


#define BUFSIZE 1024


class Wave;
class FileAccess;


class WavToRawCmd : public BreakCmd
{
	public:
		WavToRawCmd ( char *, int, char *, char * );
		virtual ~WavToRawCmd();
		char *source() { return _srcFile; };
		char *target() { return _dstFile; };
		int error() { return _error; }

	protected:
		void doCommand();
		
	private:
		unsigned long _blockLength;
		int _once;
		int _percentDone;
		int  _error;
		char _srcFile[BUFSIZE];
		char _dstFile[BUFSIZE];
		FileAccess *_in;
		FileAccess *_out;
};

#endif
